Jump to content
Laurent Metais

Installer Docker et Discourse

Recommended Posts

Bonjour,

pour le site internet que j'ai sous wordpress j'aimerais installer en parallèle le logiciel de discussion Discourse. Cependant, pour la première fois je vois que l'installation n'est pas si commune, elle demande d'installer Docker et d'installer le logiciel à l'intérieur. J'aimerais savoir si c'est quelque chose que l'on peut faire avec Yulpa et si quelqu'un avait plus de renseignement. Je cherche sur le net, mais les résultats ne sont pas encore très concluant.

J'ai créer le sous-domaine boiteaidee.horizontransition.org où j'aimerais l'installer.

merci beaucoup

Share this post


Link to post
Share on other sites

Bonjour,

Cette question m'intéresse aussi. J'ai déjà installé Discourse plusieurs fois, et j'envisage de prendre un hébergement chez Yulpa pour déménager une des instances. Mais malgré la possibilité d'avoir un accès SSH, je ne suis pas sur que ce soit possible. Quelqu'un aurait-il davantage de détails à donner ?

Share this post


Link to post
Share on other sites

Bonsoir,

Sur les hébergements mutualisés, ce ne sera pas possible d'installer ces composants.

Discourse est en Ruby et les hébergements Yulpa ne proposent pas de prise en charge Ruby de ce que je sais.

 

Quant à Docker, impossible d'installer ça sur un hébergement mutualisé, c'est exclu, au minimum sur un VPS, il me semble que c'est quelque chose que Yulpa peut proposer, à voir avec eux peut-être dans un ticket support ?

 

shawn.arildsen@wormedia.com

Edited by Simon
  • Upvote 1

Share this post


Link to post
Share on other sites

Effectivement, sur nos VPS  type container, docker n'est pas supporté . 

En revanche, sur les VPS type VMware,  nous pouvons proposer

- une VM (compatible docker/windows/linux)
- un datacenter virtuel (vous gérez vos réseaux privés, firewall, load balancing , ajoutez vos VM suivant votre pool de ressources dédiées!)

Suivant les besoins :)

Share this post


Link to post
Share on other sites

Est-ce que quelqu'un a réussi à installer Flarum ?

Pour installer Flarum, il ne manquerait pas grand chose:  Flarum nécessite PHP 7.1 et MySQL 5.6+. ou MariaDB 10.0.5+
https://flarum.org/docs/install.html#server-requirements

mais je lis sur iwal qu'on est en PHP 7.0 et MariaDB 5.5.6

 

il faudrait ensuite pouvoir installer Composer en SSH, ce qui semble faisable d'après ce post

et enfin il faudrait installer l'extension openssl dans le php.ini

est-ce quand même faisable à votre avis ?. Je sais faire du copier-coller dans un terminal en ssh avec mon hébergement, mais pas plus.

Merci de votre avis.

 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...